Bug 24441 - Error when checking in an item with BranchTansferLimitsType set to itemtype
Summary: Error when checking in an item with BranchTansferLimitsType set to itemtype
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 21206
Blocks:
  Show dependency treegraph
 
Reported: 2020-01-16 19:10 UTC by Kyle M Hall
Modified: 2020-02-06 22:55 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03


Attachments
Bug 24441: Error when checking in an item with BranchTansferLimitsType set to itemtype (1.70 KB, patch)
2020-01-16 19:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24441: Error when checking in an item with BranchTansferLimitsType set to itemtype (1.85 KB, patch)
2020-01-17 12:09 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 24441: Add tests (2.17 KB, patch)
2020-01-21 15:08 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24441: Error when checking in an item with BranchTansferLimitsType set to itemtype (1.83 KB, patch)
2020-01-21 15:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-01-16 19:10:04 UTC
It appears that the transition to using Koha::Item in AddReturn has introduced a bug. Previously $item was a hashref with the key 'itemtype', now that it's an object, it has no itemtype method and so triggers an error with the message "The method Koha::Item->itemtype is not covered by tests!".
Comment 1 Kyle M Hall 2020-01-16 19:11:59 UTC
Created attachment 97469 [details] [review]
Bug 24441: Error when checking in an item with BranchTansferLimitsType set to itemtype

It appears that the transition to using Koha::Item in AddReturn has introduced a bug. Previously $item was a hashref with the key 'itemtype', now that it's an object, it has no itemtype method and so triggers an error with the message "The method Koha::Item->itemtype is not covered by tests!".

Test Plan:
1) Enable Branch Transfer Limits via itemtype
2) Check in an item
3) Note the error
4) Apply this patch
5) Restart all the things!
6) Check in an item
7) No error!
Comment 2 Kyle M Hall 2020-01-17 12:09:02 UTC
Created attachment 97513 [details] [review]
Bug 24441: Error when checking in an item with BranchTansferLimitsType set to itemtype

It appears that the transition to using Koha::Item in AddReturn has introduced a bug. Previously $item was a hashref with the key 'itemtype', now that it's an object, it has no itemtype method and so triggers an error with the message "The method Koha::Item->itemtype is not covered by tests!".

Test Plan:
1) Enable Branch Transfer Limits via itemtype
2) Check in an item
3) Note the error
4) Apply this patch
5) Restart all the things!
6) Check in an item
7) No error!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Maribeth (Turner) Shafer - Central Kansas Library System CKLS <mshafer@ckls.org>
Comment 3 Jonathan Druart 2020-01-21 15:08:51 UTC
Created attachment 97669 [details] [review]
Bug 24441: Add tests
Comment 4 Jonathan Druart 2020-01-21 15:08:56 UTC
Created attachment 97670 [details] [review]
Bug 24441: Error when checking in an item with BranchTansferLimitsType set to itemtype

It appears that the transition to using Koha::Item in AddReturn has introduced a bug. Previously $item was a hashref with the key 'itemtype', now that it's an object, it has no itemtype method and so triggers an error with the message "The method Koha::Item->itemtype is not covered by tests!".

Test Plan:
1) Enable Branch Transfer Limits via itemtype
2) Check in an item
3) Note the error
4) Apply this patch
5) Restart all the things!
6) Check in an item
7) No error!

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Maribeth (Turner) Shafer - Central Kansas Library System CKLS <mshafer@ckls.org>
Comment 5 Martin Renvoize 2020-01-23 09:11:02 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-02-06 22:55:17 UTC
Pushed to 19.11.x branch for 19.11.03